/* Post-processing after having edited a GED file. */

ARG name
IF RIGHT(name, 4) = ".GED" THEN name = LEFT(name, LENGTH(name)-4)

/* Put name into lower case, and prepend "data\" to get the right directory. */

name = TRANSLATE(name, 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')
name = "data\"name

fixgen name                  /* Needed after running GenJ. */
tidy name                    /* Removes empty fields. */
gedsort name                 /* Put names into alphabetical order. */
"lint "name" >"name".lint"   /* Check for bugs in the GED file. */
"copy "name".ged \Domains\pmoylan.org\Public\cgi-bin\wft\data"
"copy "name".ged H:\Server\D\Dev1\wft\data"
exit

